using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entities.Contracts
{
	[Table("lesson_question")]
	public class LessonQuestion
	{
		[Key]
		public Guid Id { get; set; }

		[MaxLength(65535)]
		public string Question { get; set; }

		[Required]
		public Guid LessonID { get; set; }
		[ForeignKey(nameof(LessonID))]	
		public virtual Lesson Lesson { get; set; }


		public LessonQuestion()
		{
			Id = Guid.NewGuid();
		}

	}
}
